跳转到主要内容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
liquiditySnapshots
代币 - 流动性快照
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/liquiditySnapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "calculatedAt": 1705312800000,
      "maxLiquidityInNative": "5000.123",
      "maxLiquidityInUsd": "1000000.45",
      "maxLiquidityPoolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "poolCount": 5,
      "priceNative": "0.005",
      "priceUsd": "1.0001",
      "snapshotTime": 1705312800000,
      "totalLiquidityInNative": "10000.246",
      "totalLiquidityInUsd": "2000000.90"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 Supported blockchain chains

可用选项:
sol,
eth,
bsc
tokenAddress
string
必填

代币地址

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页返回结果数量

direction
enum<string>
默认值:next

分页方向(next 或 prev) Pagination direction

可用选项:
next,
prev
time
integer<int64>

流动性快照查询的目标 Unix 时间戳

响应

200 - application/json

获取流动性快照

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="